package com.raycos.raycoswebapi.nacoscase;

import com.raycos.raycoscommon.Internal.Result;
import com.raycos.raycoscommon.Internal.webapi.User;
import com.raycos.raycoswebapi.nacoscase.service.EchoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.client.RestTemplate;

/**
 * @Author: xiaojiabin
 * @Date: 2024/8/26 13:23
 */
@RestController
public class TestController {
    @Autowired
    private RestTemplate restTemplate;
    @Autowired
    private EchoService echoService;

    @GetMapping(value = "/echo-rest/{str}")
    public Result<String> rest(@PathVariable String str) {
        System.out.println("来了来了");
//        return restTemplate.getForObject("http://service-provider/echo/" + str, Result.class);
        String forObject = restTemplate.getForObject("http://service-provider/echo/" + str, String.class);
        Result<String> result = new Result<>();
        result.setCode(200);
        result.setMsg(forObject);
        return result;
    }
    @GetMapping(value = "/echo-feign/{str}")
    public Result<String> feign(@PathVariable String str) {
        return echoService.echo(str);
    }

    @PostMapping("/hello")
    public Result<String> helloConsumer (@RequestBody User user ){
        System.out.println("9999999999999"+user.toString());
        return echoService.sayHello( user );
//        return restTemplate.getForObject("http://service-provider/sayHello/" , Result.class, user);
    }

}
